OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
IndustryTileSpec Struct Reference

Defines the data structure of each individual tile of an industry. More...

`#include <industrytype.h>`

## Data Fields
CargoID | accepts_cargo [3]
| Cargo accepted by this tile.
uint8 | acceptance [3]
| Level of acceptance per cargo type.
Slope | slopes_refused
| slope pattern on which this tile cannot be built
byte | anim_production
| Animation frame to start when goods are produced.
byte | anim_next
| Next frame in an animation.
bool | anim_state
| When true, the tile has to be drawn using the animation state instead of the construction state.
uint8 | callback_mask
| Bitmask of industry tile callbacks that have to be called.
AnimationInfo | animation
| Information about the animation (is it looping, how many loops etc)
IndustryTileSpecialFlags | special_flags
| Bitmask of extra flags used by the tile.
bool | enabled
| entity still available (by default true).newgrf can disable it, though
GRFFileProps | grf_prop
| properties related to the grf file

## Detailed Description

Defines the data structure of each individual tile of an industry.

Definition at line 148 of file industrytype.h.

The documentation for this struct was generated from the following file:

- src/industrytype.h